package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class UnitTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static Unit getUnitSample1() {
        return new Unit().id(1L).code("code1").symbol("symbol1").name("name1").description("description1").version(1);
    }

    public static Unit getUnitSample2() {
        return new Unit().id(2L).code("code2").symbol("symbol2").name("name2").description("description2").version(2);
    }

    public static Unit getUnitRandomSampleGenerator() {
        return new Unit()
            .id(longCount.incrementAndGet())
            .code(UUID.randomUUID().toString())
            .symbol(UUID.randomUUID().toString())
            .name(UUID.randomUUID().toString())
            .description(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
